{pid}: Download full table as SDMX

API: gc.ca:statistics-canada-api
Endpoint: /getFullTableDownloadSDMX/{pid}
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 534ms

Description

Returns a download URL for the full table in SDMX format.

Parameters (1)

pid (integer, path, required)

Product ID (10-digit table identifier)

Examples (1)

Download full table as SDMX openapi-spec
curl 'https://www150.statcan.gc.ca/t1/wds/rest/getFullTableDownloadSDMX/14100287'
import requests

resp = requests.get("https://www150.statcan.gc.ca/t1/wds/rest/getFullTableDownloadSDMX/14100287")
data = resp.json()
import zingu_apis

api = zingu_apis.api("gc")
result = api.fetch("getFullTableDownloadSDMX/{pid}")

for item in result:
    print(item)
const resp = await fetch("https://www150.statcan.gc.ca/t1/wds/rest/getFullTableDownloadSDMX/14100287");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:33:02.314214 200 534ms
2026-04-16 00:51:33.919459 200 570ms
2026-04-15 00:26:49.538732 200 589ms
2026-04-14 03:18:45.956234 200 606ms
2026-04-12 13:57:14.949574 200 555ms
2026-04-10 01:09:32.917631 200 447ms
2026-04-09 03:13:11.592670 ERR
2026-04-08 00:14:07.578820 200 559ms
2026-04-07 00:31:30.562007 200 572ms
2026-04-06 06:53:21.473215 200 642ms
2026-04-05 14:18:12.862883 200 822ms
2026-03-23 10:44:36.834342 200 559ms